Redmine - Defect #5674

Export to PDF/CSV Drops Results
2010-06-11 17:10 - Guy Kaiser

Status: Closed Start date: 2010-06-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description

Db Ver: mysql Ver 14.14 Distrib 5.1.41, for debian-linux-gnu (i486) using readline 6.1
Ruby Ver: ruby 1.8.7 (2010-01-10 patchlevel 249) [i486-linux]

Rails Ver: Rails 2.3.5

Redmine Ver: Redmine 0.9.4.devel.3739 (MySQL)

| can view, from within Redmine itself, all of the issues that we have entered, all the way back to the original one. | can go to the last
page and everything's there based on my filter criteria, but when | use the "Also available in:" links I'm only getting a partial list of
issues.

We have issues that were created as far back as Aug 22, 2007. When | try to export a list of all issues from 12/31/2008 - 01/01/2008
(I'm setting the "Status" filter to "all" and then setting the "Created" filter to "more than 527 days ago"), | am only getting a partial list
exported. The PDF seems to only print up to 18 pages worth of data, and then it stops. It even shows an elipsis ("...") after the last
issue it prints on page 18 as though it knows there's more there to print, but it stopped early. The CSV file seems to be the same. It
will not export all issues in the given list, only a subset of them. I've attached the last page of the export.pdf file (pg 18/18) that shows
where the elipsis is printing out, and that the last page ends with issue number 335 instead of issue number 1. The Redmine site
itself appears to display this behavior as well. | can ask for issues created more than 527 days ago, and it gives me a 2 page PDF
with 50 issues listed, instead of the about 750 that there should be.

I'm certainly open to this being something I'm not doing correctly, but it's awfully weird behavior. Any help you can give is
appreciated, and if there's any more info that | can supply please just let me know.

History

#1 - 2010-06-11 17:14 - Guy Kaiser

- Status changed from New to Resolved

Oh good lord, I'm a dummy.

This was most definitely me. | had entirely missed the "Issues export limit" setting in the Administration => Settings => Issue Tracking page. Ignore
this. My apologies good sirs.

#2 - 2010-06-11 18:14 - Felix Schéfer
- Status changed from Resolved to Closed

- Resolution set to Invalid

No harm done :-)

Files

export.pdf 5.85 KB 2010-06-11 Guy Kaiser

2025-05-09 1/1



http://www.tcpdf.org

